- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates an alias from a key/certificate pair.
The structure of the request is controlled by the format query parameter:
keycertfile- Separate PEM-encoded key and certificate files are uploaded. SetContent-Type: multipart/form-dataand include thekeyFile,certFile, andpassword(if keys are encrypted) fields in the request body. If uploading to a truststore, omitkeyFile.pkcs12- A PKCS12 file is uploaded. SetContent-Type: multipart/form-data, provide the file in thefilefield, and include thepasswordfield if the file is encrypted in the request body.selfsignedcert- A new private key and certificate are generated. SetContent-Type: application/jsonand includeCertificateGenerationSpecin the request body.
HTTP request
POST https://apigee.googleapis.com/v1/{parent=organizations/*/environments/*/keystores/*}/aliases
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Name of the keystore. Use the following format in your request: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
alias |
Alias for the key/certificate pair. Values must match the regular expression |
format |
Required. Format of the data. Valid values include: |
ignoreExpiryValidation |
Flag that specifies whether to ignore expiry validation. If set to |
ignoreNewlineValidation |
Flag that specifies whether to ignore newline validation. If set to |
Request body
The request body contains an instance of HttpBody.
Response body
If successful, the response body contains a newly created instance of Alias.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform